package com.tjzhxx.union.entity.request;


import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

/**
 * 描述:
 * @author yanghuaxiong
 * @create 2018/6/4 上午11:20
 * 
 */

public class BaseRequest implements Serializable {
    @SerializedName("user_code")
    private String userCode;
    @SerializedName("user_name")
    private String userName;
    @SerializedName("user_unit")
    private String userUnit;
    @SerializedName("user_unit_name")
    private String userUnitName;
    private String uid;
    private String token;
    private String deviceID;
    private String deviceType;

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserUnit() {
        return userUnit;
    }

    public void setUserUnit(String userUnit) {
        this.userUnit = userUnit;
    }

    public String getUserUnitName() {
        return userUnitName;
    }

    public void setUserUnitName(String userUnitName) {
        this.userUnitName = userUnitName;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getDeviceID() {
        return deviceID;
    }

    public void setDeviceID(String deviceID) {
        this.deviceID = deviceID;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }
}
